### Function

# GObject type_get_plugin

since: 2.0

#### Declaration

    GTypePlugin*
    g_type_get_plugin (
      GType type
    )

#### Description

Returns the `GTypePlugin` structure for `type`.

Available since: 2.0

#### Parameters

`type`

  Type: `GType`

  `GType` to retrieve the plugin for.

#### Return value

Type: `GTypePlugin`

The corresponding plugin if `type` is a dynamic type, `NULL` otherwise.

The data is owned by the called function.